<?php 
$path_to_fields = KASWARA_PLUGIN_PATH.'includes/dashboard/shortcode-styling/fields/';
require_once $path_to_fields.'colorpicker.php';
require_once $path_to_fields.'gradientpicker.php';
require_once $path_to_fields.'number.php';
require_once $path_to_fields.'slider.php';
require_once $path_to_fields.'select.php';
require_once $path_to_fields.'switcher.php';
require_once $path_to_fields.'text.php';
require_once $path_to_fields.'message.php';
require_once $path_to_fields.'distance.php';
require_once $path_to_fields.'fontsize.php';
require_once $path_to_fields.'fontstyle.php';
require_once $path_to_fields.'border.php';
require_once $path_to_fields.'global_section.php';


//Function For The Overlay Settings
function kswr_default_overlay_section($required){
	return  json_encode($required);
}

//Function to Get the Form Values if exists els it Will get default ones
function kswr_shortcode_form_values($shortcodeName){
	$shortcodeDefaults = kaswara_get_single_option($shortcodeName);
	if($shortcodeDefaults == '' || !is_array($shortcodeDefaults))
		$shortcodeDefaults = kswr_shortcode_form_default($shortcodeName);

	return $shortcodeDefaults;
}

//Function to return all the form default values of a shortcode
function kswr_shortcode_form_default($shortcodeName){
	//Array that contains all the default values
	$defaultValues = array(	
		'skillbar' =>  array(
			'skl_bar_bg_color'		=> '#f6f6f6',
			'skl_bar_color'			=> '{"type":"color", "color1":"#00AFD1", "color2":"#00AFD1", "direction":"to left"}',
			'skl_radius'			=> 0,
			'skl_height'			=> 5,
			'skl_style'				=> 'style_1',
			'skl_strips'			=> 'none',
			'skl_title_color'		=> '#333',
			'skl_font_style'		=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'skl_font_sizes'		=> 'font-size:17px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;'
		),
		'radialprogress' =>  array(			
			'rad_content_background' => '#fafafe',
			'rad_content_color'		 => '#444',			
			'rad_size'				 => '150',
			'rad_border_size'		 => '7',
			'rad_border_color'		 => '#eee',
			'rad_color'				 => '#289fca',
			'radial_position'		 => 'center',
			'rad_content_fontstyle'	 => 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'rad_content_fontsize'	 => 'font-size:16px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;'
		),
		'socialshare' =>  array(			
			'ss_size'					=> '26',
			'ss_backsize'				=> '35',
			'ss_borderradius'			=> '0',
			'ss_style'					=> 'hoverColorScheme',
			'ss_backcolor'				=> 'transparent',
			'ss_iconcolor'				=> '#888',
			'ss_iconhovercolor'			=> '#fff',
			'ss_align'					=> 'left',
			'ss_margins'				=> '5',
		),
		'findus' =>  array(			
			'sf_size'					=> '26',
			'sf_backsize'				=> '35',
			'sf_borderradius'			=> '0',
			'sf_style'					=> 'hoverColorScheme',
			'sf_backcolor'				=> 'transparent',
			'sf_iconcolor'				=> '#888',
			'sf_iconhovercolor'			=> '#fff',
			'sf_align'					=> 'left',
			'sf_margins'				=> '5',
		),
		'videomodal' =>  array(			
			'modalv_overlay_bg' 			=> 'rgba(0,0,0,0.7)',
			'modalv_iframew' 				=> '750',
			'modalv_iframeh' 				=> '450',
			'modalv_close_color' 			=> '#eee',
			'modalv_close_bg' 				=> '#111',
			///
			'modalv_btn_width'				=> '250',
			'modalv_btn_height'				=> '45',
			'modalv_btn_border_radius'		=> '0',
			'modalv_btn_align'				=> 'left',
			'modalv_btn_margins'			=> 'margin-top:0px; margin-bottom:0px;',
			'modalv_btn_bg'					=> '{"type":"color", "color1":"#111", "color2":"#111", "direction":"to left"}',
			'modalv_btn_bg_hover'			=> '{"type":"color", "color1":"#00AFD1", "color2":"#00AFD1", "direction":"to left"}',
			'modalv_btn_clr'				=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'modalv_btn_clr_hover'			=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'modalv_btn_ftsize'				=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'modalv_btn_ftstyle'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',			
			'modalv_btn_paddings'			=> 'padding-top:0px; padding-bottom:0px;',			
			'modalv_btn_bdr'				=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'modalv_btn_bdr_hover'			=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',			
			'modalv_btn_icon_position'		=> 'left',
			'modalv_btn_icon_clr'			=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'modalv_btn_icon_clr_hover'		=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'modalv_btn_icon_size'			=> '26',
			'modalv_btn_icon_paddings'		=> 'padding-top:0px; padding-bottom:0px;'
		),
		'modalwindow' =>  array(			
			'mdlw_btn_width'				=> '250',
			'mdlw_btn_height'				=> '45',
			'mdlw_btn_border_radius'		=> '0',
			'mdlw_btn_align'				=> 'left',
			'mdlw_btn_margins'				=> 'margin-top:0px; margin-bottom:0px;',
			'mdlw_btn_bg'					=> '{"type":"color", "color1":"#111", "color2":"#111", "direction":"to left"}',
			'mdlw_btn_bg_hover'				=> '{"type":"color", "color1":"#00AFD1", "color2":"#00AFD1", "direction":"to left"}',
			'mdlw_btn_clr'					=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlw_btn_clr_hover'			=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlw_btn_ftsize'				=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'mdlw_btn_ftstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',			
			'mdlw_btn_paddings'				=> 'padding-top:0px; padding-bottom:0px;',			
			'mdlw_btn_bdr'					=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'mdlw_btn_bdr_hover'			=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',			
			'mdlw_btn_icon_position'		=> 'left',
			'mdlw_btn_icon_clr'				=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlw_btn_icon_clr_hover'		=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlw_btn_icon_size'			=> '26',
			'mdlw_btn_icon_paddings'		=> 'padding-top:0px; padding-bottom:0px;'
		),
		'button' =>  array(			
			'btn_width'					=> '250',
			'btn_height'				=> '45',
			'btn_border_radius'			=> '0',
			'btn_align'					=> 'left',
			'btn_margins'				=> 'margin-top:0px; margin-bottom:0px;',
			'btn_bg'					=> '{"type":"color", "color1":"#111", "color2":"#111", "direction":"to left"}',
			'btn_bg_hover'				=> '{"type":"color", "color1":"#00AFD1", "color2":"#00AFD1", "direction":"to left"}',
			'btn_clr'					=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'btn_clr_hover'				=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'btn_ftsize'				=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'btn_ftstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',			
			'btn_paddings'				=> 'padding-top:0px; padding-bottom:0px;',			
			'btn_bdr'					=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'btn_bdr_hover'				=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',			
			'btn_icon_position'			=> 'left',
			'btn_icon_clr'				=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'btn_icon_clr_hover'		=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'btn_icon_size'				=> '26',
			'btn_icon_paddings'			=> 'padding-top:0px; padding-bottom:0px;'
		),
		'alertbox' =>  array(	
			'albx_title_ftsize'				=> 'font-size:16px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'albx_title_ftstyle'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'albx_message_ftsize'			=> 'font-size:13px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'albx_message_ftstyle'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;'	
		),
		'bfimage' =>  array(
			'ebai_colorscheme' 				=> '{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	
			'bai_colorscheme'				=> '#fff',
			'bai_overlay_bg'				=> 'rgba(0,0,0,0.5)',
			'bai_overlay_button_color'		=> '#fff',
			'bai_overlay_button_bg'			=> '#269ac1',						
		),
		'teammate' =>  array(	
			'tmmate_name_color'				=> '#333',
			'tmmate_name_ftsize'			=> 'font-size:17px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'tmmate_name_ftstyle'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'tmmate_position_ftsize'		=> 'font-size:13px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'tmmate_position_ftstyle'		=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'tmmate_position_color'			=> '#888',
			'tmmate_scl_color'				=> '#666'					
		),
		'iconboxaction' =>  array(	
			'icbb_icon_color'				=> '#bbb',
			'icbb_icon_size'				=> '36',
			'icbb_icon_hover_color'			=> '#bbb',
			'icbb_icon_bb_height'			=> '0',
			'icbb_icon_bb_width'			=> '0',
			'icbb_icon_bb_color'			=> '#eee',
			'icbb_title_style'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'icbb_title_size'				=> 'font-size:17px;line-height:;letter-spacing:;',
			'icbb_subtitle_style'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'icbb_subtitle_size'			=> 'font-size:14px;line-height:;letter-spacing:;',
			'icbb_info_style'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'icbb_info_size'				=> 'font-size:14px;line-height:;letter-spacing:;',

			'icbb_button_style'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'icbb_button_size'				=> 'font-size:14px;line-height:;letter-spacing:;',
			'icbb_button_height'			=> '35',
			'icbb_button_color'				=> '#ddd',
			'icbb_button_color_hover'		=> '#fff',
			'icbb_button_bg'				=> '#222',
			'icbb_button_bg_hover'			=> '#222',
			'icbb_button_border_size'		=> '0',
			'icbb_button_border_color'		=> '#1a1a1a',
			'icbb_button_border_hover'		=> '#000',			
		),
		'interactiveiconbox' =>  array(	
			'iib_title_font_size'				=> 'font-size:17px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'iib_title_font_style'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'iib_subtitle_font_size'			=> 'font-size:14px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'iib_subtitle_font_style'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'iib_info_font_size'				=> 'font-size:14px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'iib_info_font_style'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;'		
		),
		'dropcaps' =>  array(
			'drpcp_letter_fstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'drpcp_letter_fsize'				=> 'font-size:17px;',
			'drpcp_content_fstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'drpcp_content_fsize'				=> 'font-size:14px;',																	
			'drpcp_letter_color'				=> '{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'drpcp_letter_bgsize'				=> '35',
			'drpcp_letter_margins'				=> 'margin-top:0px; margin-bottom:0px; margin-right:0px; margin-left:0px;',
			'drpcp_letter_br_radius'			=> '0',					
			'drpcp_letter_bgcolor'				=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',					
			'drpcp_letter_br_normal'			=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'drpcp_letter_br_top'				=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'drpcp_letter_br_bottom'			=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'drpcp_letter_br_left'				=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'drpcp_letter_br_right'				=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',				
		),
		'singleicon' =>  array(	
			'si_ic_color' 				=> 	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'si_ic_color_hover'			=> 	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'si_back' 					=> 	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	
			'si_back_hover'				=> 	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	
			'si_border'					=> 	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',			
				
			'si_border_radius'					=>	'0',
			'si_bgsize'							=>	'35',
			'si_iconsize'						=>	'18',
		),
		'iconboxinfo' =>  array(	
			//Icon 
			'ibi_ic_color' 					=> 	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'ibi_ic_color_hover'			=> 	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'ibi_back' 						=> 	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	
			'ibi_back_hover'				=> 	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	

			'ibi_border_radius'					=>	'0',
			'ibi_bgsize'						=>	'35',
			'ibi_iconsize'						=>	'18',
			'ibi_border'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',		
			//Font Settings
			'ibi_title_fsize'					=> 'font-size:19px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'ibi_title_fstyle'					=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'ibi_subtitle_fsize'				=> 'font-size:12px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'ibi_subtitle_fstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'ibi_content_fsize'					=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'ibi_content_fstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
		),
		'infolist' =>  array(	
			'iibl_align'						=>	'left',
			'iibl_margin'						=>	'30',
			'iibl_border_list'					=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			//Icon 
			'iibl_ic_color' 					=> '{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'iibl_ic_color_hover'				=> '{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'iibl_back' 						=> '{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	
			'iibl_back_hover'					=> '{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	

			'iibl_border_radius'				=>	'0',
			'iibl_bgsize'						=>	'35',
			'iibl_iconsize'						=>	'18',
			'iibl_border'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',		
			//Font Settings
			'iibl_title_fsize'					=> 'font-size:16px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'iibl_title_fstyle'					=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'iibl_subtitle_fsize'				=> 'font-size:12px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'iibl_subtitle_fstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'iibl_content_fsize'				=> 'font-size:13px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'iibl_content_fstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
		),
		'counter' =>  array(	
			//Icon 
			'cnt_ic_color' 						=> 	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'cnt_ic_color_hover'				=> 	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',	
			'cnt_back' 							=> 	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	
			'cnt_back_hover'					=> 	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',	

			'cnt_border_radius'					=>	'0',
			'cnt_bgsize'						=>	'35',
			'cnt_iconsize'						=>	'18',
			'cnt_border'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',		
			//Font Settings
			'cnt_title_fsize'					=> 'font-size:16px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'cnt_title_fstyle'					=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'cnt_value_fsize'					=> 'font-size:26px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'cnt_value_fstyle'					=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'cnt_prefix_fsize'					=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'cnt_prefix_fstyle'					=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'cnt_suffix_fsize'					=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'cnt_suffix_fstyle'					=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
		),
		'pricingplan' =>  array(	
			'prpl_name_fsize'					=> 'font-size:15px;line-height:;letter-spacing:;',
			'prpl_name_fstyle'					=> 'font-family:inherit;font-weight:700;font-style:inherit;',
			'prpl_price_fsize'					=> 'font-size:25px;line-height:;letter-spacing:;',
			'prpl_price_fstyle'					=> 'font-family:inherit;font-weight:600;font-style:inherit;',
			'prpl_unit_fsize'					=> 'font-size:18px;line-height:;letter-spacing:;',
			'prpl_unit_fstyle'					=> 'font-family:inherit;font-weight:600;font-style:inherit;',
			'prpl_info_fsize'					=> 'font-size:14px;line-height:;letter-spacing:;',
			'prpl_info_fstyle'					=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'prpl_name_color'					=> '#333',
			'prpl_price_color'					=> '{"type":"color", "color1":"#279eca", "color2":"#279eca", "direction":"to left"}',
			'prpl_unit_color'					=> '{"type":"color", "color1":"#279eca", "color2":"#279eca", "direction":"to left"}',
			'prpl_info_color'					=> '#888',
			'prpl_cnt_back'						=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'prpl_cnt_border'					=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'prpl_cnt_back_h'					=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'prpl_cnt_border_h'					=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'prpl_name_color_h'					=> '#333',
			'prpl_price_color_h'				=> '{"type":"color", "color1":"#279eca", "color2":"#279eca", "direction":"to left"}',
			'prpl_unit_color_h'					=> '{"type":"color", "color1":"#279eca", "color2":"#279eca", "direction":"to left"}',
			'prpl_info_color_h'					=> '#888',
		),
		'cardflip' =>  array(
			'cflp_front_background'					=>	'{"type":"color", "color1":"#fafafa", "color2":"transparent", "direction":"to left"}',
			'cflp_front_border'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'cflp_front_title_color'				=>	'#333',
			'cflp_front_subtitle_color'				=>	'#888',
			'cflp_icon_color'						=>	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'cflp_icon_bgcolor'						=>	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',
			'cflp_icon_size'						=>	'32',
			'cflp_icon_bgsize'						=>	'52',
			'cflp_icon_br'							=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'cflp_icon_br_radius'					=>	'0',
			'cflp_back_background'					=>	'{"type":"color", "color1":"#fafafa", "color2":"transparent", "direction":"to left"}',
			'cflp_back_border'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'cflp_back_title_color'					=>	'#333',
			'cflp_back_subtitle_color'				=>	'#888',
			'cflp_back_button_height'				=>	'25',
			'cflp_back_button_color'				=>	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'cflp_back_button_bgcolor'				=>	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',
			'cflp_back_button_border'				=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'cflp_back_button_br_radius'			=>	'0',
			'cflp_front_title_fsize'				=>	'font-size:21px;line-height:;letter-spacing:;',
			'cflp_front_title_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'cflp_front_subtitle_fsize'				=>	'font-size:16px;line-height:;letter-spacing:;',
			'cflp_front_subtitle_fstyle'			=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'cflp_back_title_fsize'					=>	'font-size:21px;line-height:;letter-spacing:;',
			'cflp_back_title_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'cflp_back_subtitle_fsize'				=>	'font-size:16px;line-height:;letter-spacing:;',
			'cflp_back_subtitle_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'cflp_back_button_fsize'				=>	'font-size:13px;line-height:;letter-spacing:;',
			'cflp_back_button_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
		),		
		'threedcardflip' =>  array(
			'trcflp_front_background'				=>	'{"type":"color", "color1":"#fafafa", "color2":"transparent", "direction":"to left"}',
			'trcflp_front_border'					=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'trcflp_front_title_color'				=>	'#333',
			'trcflp_front_subtitle_color'			=>	'#888',
			'trcflp_icon_color'						=>	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'trcflp_icon_bgcolor'					=>	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',
			'trcflp_icon_size'						=>	'32',
			'trcflp_icon_bgsize'					=>	'52',
			'trcflp_icon_br'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'trcflp_icon_br_radius'					=>	'0',
			'trcflp_back_background'				=>	'{"type":"color", "color1":"#fafafa", "color2":"transparent", "direction":"to left"}',
			'trcflp_back_border'					=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'trcflp_back_title_color'				=>	'#333',
			'trcflp_back_subtitle_color'			=>	'#888',
			'trcflp_back_button_height'				=>	'25',
			'trcflp_back_button_color'				=>	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'trcflp_back_button_bgcolor'			=>	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',
			'trcflp_back_button_border'				=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'trcflp_back_button_br_radius'			=>	'0',
			'trcflp_front_title_fsize'				=>	'font-size:21px;line-height:;letter-spacing:;',
			'trcflp_front_title_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'trcflp_front_subtitle_fsize'			=>	'font-size:16px;line-height:;letter-spacing:;',
			'trcflp_front_subtitle_fstyle'			=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'trcflp_back_title_fsize'				=>	'font-size:21px;line-height:;letter-spacing:;',
			'trcflp_back_title_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'trcflp_back_subtitle_fsize'			=>	'font-size:16px;line-height:;letter-spacing:;',
			'trcflp_back_subtitle_fstyle'			=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'trcflp_back_button_fsize'				=>	'font-size:13px;line-height:;letter-spacing:;',
			'trcflp_back_button_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
		),
		'verticalskillbar' =>  array(	
			'vsklbr_namefsize' 			=> '16',
 			'vsklbr_namecolor' 			=> '#333',
 			'vsklbr_percentcolor' 		=> '#00AFD1',
 			'vsklbr_bar_bg_color' 		=> '#f5f5f5',
 			'vsklbr_bar_color' 			=> '{"type":"color", "color1":"#00AFD1", "color2":"#00AFD1", "direction":"to left"}',
 			'vsklbr_bar_height' 		=> '200',
 			'vsklbr_bar_width' 			=> '7',
 			'vsklbr_strips'				=> 'none',
 			'vsklbr_layout' 			=> 'left',
 			'vsklbr_percentpos' 		=> 'left',
 			'vsklbr_align' 				=> 'center',
 			'vsklbr_bord_radius' 		=> '0',
 			'vsklbr_border'				=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
		),
		'modernflipbox' =>  array(
			'mdnflb_front_background'					=>	'{"type":"color", "color1":"#fafafa", "color2":"transparent", "direction":"to left"}',
			'mdnflb_front_border'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'mdnflb_front_title_color'					=>	'#333',
			'mdnflb_front_subtitle_color'				=>	'#888',
			'mdnflb_icon_color'							=>	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'mdnflb_icon_bgcolor'						=>	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',
			'mdnflb_icon_size'							=>	'32',
			'mdnflb_icon_bgsize'						=>	'52',
			'mdnflb_icon_br'							=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'mdnflb_icon_br_radius'						=>	'0',
			'mdnflb_back_background'					=>	'{"type":"color", "color1":"#fafafa", "color2":"transparent", "direction":"to left"}',
			'mdnflb_back_border'						=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'mdnflb_back_title_color'					=>	'#333',
			'mdnflb_back_subtitle_color'				=>	'#888',
			'mdnflb_back_button_height'					=>	'25',
			'mdnflb_back_button_color'					=>	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'mdnflb_back_button_bgcolor'				=>	'{"type":"color", "color1":"transparent", "color2":"transparent", "direction":"to left"}',
			'mdnflb_back_button_border'					=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'mdnflb_back_button_br_radius'				=>	'0',
			'mdnflb_front_title_fsize'					=>	'font-size:21px;line-height:;letter-spacing:;',
			'mdnflb_front_title_fstyle'					=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'mdnflb_front_subtitle_fsize'				=>	'font-size:16px;line-height:;letter-spacing:;',
			'mdnflb_front_subtitle_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'mdnflb_back_title_fsize'					=>	'font-size:21px;line-height:;letter-spacing:;',
			'mdnflb_back_title_fstyle'					=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'mdnflb_back_subtitle_fsize'				=>	'font-size:16px;line-height:;letter-spacing:;',
			'mdnflb_back_subtitle_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'mdnflb_back_button_fsize'					=>	'font-size:13px;line-height:;letter-spacing:;',
			'mdnflb_back_button_fstyle'					=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
		),
		'imagebanner' => array(
			'imban_title_fsize'				=> 'font-size:28px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'imban_title_fstyle'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'imban_content_fsize'			=> 'font-size:20px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'imban_content_fstyle'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'imban_btn_width'				=> '250',
			'imban_btn_height'				=> '45',
			'imban_btn_border_radius'		=> '0',
			'imban_btn_align'				=> 'left',
			'imban_btn_margins'				=> 'margin-top:0px; margin-bottom:0px;',
			'imban_btn_bg'					=> '{"type":"color", "color1":"#111", "color2":"#111", "direction":"to left"}',
			'imban_btn_bg_hover'			=> '{"type":"color", "color1":"#00AFD1", "color2":"#00AFD1", "direction":"to left"}',
			'imban_btn_clr'					=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'imban_btn_clr_hover'			=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'imban_btn_ftsize'				=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'imban_btn_ftstyle'				=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',			
			'imban_btn_paddings'			=> 'padding-top:0px; padding-bottom:0px;',			
			'imban_btn_bdr'					=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'imban_btn_bdr_hover'			=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',			
			'imban_btn_icon_position'		=> 'left',
			'imban_btn_icon_clr'			=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'imban_btn_icon_clr_hover'		=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'imban_btn_icon_size'			=> '26',
			'imban_btn_icon_paddings'		=> 'padding-top:0px; padding-bottom:0px;'
		),
		'hoverinfobox' => array(
			'hvbx_icon_size'				=>	'36',
			'hvbx_title_fsize'				=>	'font-size:22px;line-height:;letter-spacing:;',
			'hvbx_title_fstyle'				=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'hvbx_subtitle_fsize'			=>	'font-size:14px;line-height:;letter-spacing:;',
			'hvbx_subtitle_fstyle'			=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'hvbx_content_fsize'			=>	'font-size:15px;line-height:;letter-spacing:;',
			'hvbx_content_fstyle'			=>	'font-family:inherit;font-weight:inherit;font-style:inherit;',
			'hvbx_container_clr_r'			=>	'{"type":"color", "color1":"#f7f7f7", "color2":"#f7f7f7", "direction":"to left"}',
			'hvbx_container_br_r'			=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'hvbx_icon_clr_r'				=>	'{"type":"color", "color1":"#333", "color2":"#333", "direction":"to left"}',
			'hvbx_title_clr_r'				=>	'#333',
			'hvbx_subtitle_clr_r'			=>	'#888',
			'hvbx_content_clr_r'			=>	'#555',
			'hvbx_container_clr_h'			=>	'{"type":"color", "color1":"#269AD6", "color2":"#269AD6", "direction":"to left"}',
			'hvbx_container_br_h'			=>	'{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'hvbx_icon_clr_h'				=>	'{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'hvbx_title_clr_h'				=>	'#fff',
			'hvbx_subtitle_clr_h'			=>	'#f4f4f4',
			'hvbx_content_clr_h'			=>	'#fff',
		),
		'modalanything' =>  array(			
			'mdlany_btn_width'				=> '250',
			'mdlany_btn_height'				=> '45',
			'mdlany_btn_border_radius'		=> '0',
			'mdlany_btn_align'				=> 'left',
			'mdlany_btn_margins'			=> 'margin-top:0px; margin-bottom:0px;',
			'mdlany_btn_bg'					=> '{"type":"color", "color1":"#111", "color2":"#111", "direction":"to left"}',
			'mdlany_btn_bg_hover'			=> '{"type":"color", "color1":"#00AFD1", "color2":"#00AFD1", "direction":"to left"}',
			'mdlany_btn_clr'				=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlany_btn_clr_hover'			=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlany_btn_ftsize'				=> 'font-size:15px;line-height:;letter-spacing:;--tablet-font-size:;--phone-font-size:;',
			'mdlany_btn_ftstyle'			=> 'font-family:inherit;font-weight:inherit;font-style:inherit;',			
			'mdlany_btn_paddings'			=> 'padding-top:0px; padding-bottom:0px;',			
			'mdlany_btn_bdr'				=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',
			'mdlany_btn_bdr_hover'			=> '{"borderwidth":"0px", "bordercolor1":"transparent", "borderstyle":"none", "bordergradientdirection":"none", "bordercolor2":"transparent"}',			
			'mdlany_btn_icon_position'		=> 'left',
			'mdlany_btn_icon_clr'			=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlany_btn_icon_clr_hover'		=> '{"type":"color", "color1":"#fff", "color2":"#fff", "direction":"to left"}',
			'mdlany_btn_icon_size'			=> '26',
			'mdlany_btn_icon_paddings'		=> 'padding-top:0px; padding-bottom:0px;'
		)


	);
	return $defaultValues[$shortcodeName];
}

?>