<?php 
/*------------------------------------------------
        PRICE LISTING SHORTCODE
------------------------------------------------*/
function kswr_pricelisting_shortcode(){
    vc_map( array(
        "name" => esc_html__( "Price Listing", "kaswara" ),
        "description" => esc_html__("Simple price listing with info", "kaswara"),         
        "category" => "Kaswara",      
        'icon' => KASWARA_IMAGES.'small/pricelisting.jpg',  
        "base" => "kswr_pricelisting",      
        "params" => array(        
         	array(
                "type" => "attach_image",
                'group' => 'Content',
                "heading" => esc_html__( "Item Picture", "kaswara" ),
                "param_name" => "prcli_image"
            ),	
            array(
	            "type" => "kswr_number",
	            "group" => "Content", 
	            "value" => 80,
	            "max" => 200,
	            "min" => 20,
	            "heading" => esc_html__( "Picture Width (px)", "kaswara" ),
	            "param_name" => "prcli_imagewidth"
	        ),
            array(
	            "type" => "kswr_number",
	            "group" => "Content", 
	            "value" => 80,
	            "max" => 200,
	            "min" => 20,
	            "heading" => esc_html__( "Picture Height (px)", "kaswara" ),
	            "param_name" => "prcli_imageheight"
	        ),
        	array(
                "type" => "textfield",
                "heading" => esc_html__( "Title", "kaswara" ),
                "group" => "Content",
                "param_name" => "prcli_title",            
                "admin_label" => true   
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__( "Price", "kaswara" ),
                "param_name" => "prcli_price", 
                "group" => "Content",                
                "admin_label" => true   
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__( "Info Content", "kaswara" ),
                "param_name" => "prcli_info", 
                "group" => "Content",                
                "admin_label" => true   
            ),
            array(
                "type" => "colorpicker",
                "group" => "Content",             
                "value" => "#ccc",
                "heading" => esc_html__( "Separator Color", "kaswara" ),
                "param_name" => "prcli_sepcolor"
            ),
            array(
                "type" => "vc_link",
                "heading" => esc_html__( "Price Link(Optional)", "kaswara" ),
                "param_name" => "prcli_link",            
                "group" => "Content",
            ),   
			
			
			
            //Font Settings
            array(
                "type" => "kswr_fontsize",
                "param_name" => "prcli_topfontsize",
                "group" => "Typography",                 
                "heading" => esc_html__( "Title Font Size", "kaswara" ),             
                "defaults"=> array("font-size" => "15px", "line-height" => "", "letter-spacing" => "", "--tablet-font-size" => "", "--phone-font-size" => ""),
	            'elements'  => array(
	               esc_html__("Font Size","kaswara") => "font-size",
	               esc_html__("Line Height","kaswara") => "line-height",
	               esc_html__("Letter Spacing","kaswara") => "letter-spacing",                
	               esc_html__("Tablet Font Size","kaswara") => "--tablet-font-size",                
	               esc_html__("Phone Font Size","kaswara") => "--phone-font-size",                
	            )
            ), 
             array(
                "type" => "kswr_fontstyle",
                "param_name" => "prcli_topfontstyle",
                "heading" => esc_html__( "Title Font Style", "kaswara" ),                      
                "defaults"=> array("font-family" => "Inherit", "font-weight" => "700", "font-style" => ""),
                'elements'  => array(
                   esc_html__("Font Family","kaswara") => "font-family",
                   esc_html__("Font Weight","kaswara") => "font-weight",                
                   esc_html__("Font Style","kaswara") => "font-style",
                ),
                "group" => "Typography"
            ),
            array(
                "type" => "colorpicker",
                "group" => "Typography",             
                "value" => "#333",
                "heading" => esc_html__( "Title Color", "kaswara" ),
                "param_name" => "prcli_titlecolor"
            ),
            array(
                "type" => "colorpicker",
                "group" => "Typography",             
                "value" => "#333",
                "heading" => esc_html__( "Price Color", "kaswara" ),
                "param_name" => "prcli_pricecolor"
            ),

			array(
                "type" => "kswr_fontsize",
                "param_name" => "prcli_infofont",
                "group" => "Typography",                 
                "heading" => esc_html__( "Info Font Size", "kaswara" ),             
                "defaults"=> array("font-size" => "13px", "letter-spacing" => "", "--tablet-font-size" => "", "--phone-font-size" => ""),
	            'elements'  => array(
	               esc_html__("Font Size","kaswara") => "font-size",
	               esc_html__("Letter Spacing","kaswara") => "letter-spacing",                
	               esc_html__("Tablet Font Size","kaswara") => "--tablet-font-size",                
	               esc_html__("Phone Font Size","kaswara") => "--phone-font-size",                
	            )
            ),
			array(
                "type" => "colorpicker",
                "group" => "Typography",             
                "value" => "#aaa",
                "heading" => esc_html__( "Info Color", "kaswara" ),
                "param_name" => "prcli_infocolor"
            ),

            //Ribbon
            array(
                "type" => "kswr_switcher",
                "group" => "Ribbon", 
                "heading" => esc_html__( "Enable Ribbon", "kaswara" ),
                "param_name" => "prcli_ribbon_enabled",
                'default' => '0',
                'on' => array('text' => 'ON','val' => '1' ),
                'off'=> array('text' => 'OFF','val' => '0') 
            ), 
            array(
                "type" => "textfield",
                "heading" => esc_html__( "Ribbon Text", "kaswara" ),
                "param_name" => "prcli_ribbon_text",   
                "dependency" => Array("element" => "prcli_ribbon_enabled","value" => array("1")),        
                "group" => "Ribbon"
            ),
            array(
                "type" => "kswr_number",
                "value" => 11,
                "dependency" => Array("element" => "prcli_ribbon_enabled","value" => array("1")),        
                "group" => "Ribbon", 
                "max" => 20,      
                "heading" => esc_html__( "Ribbon Text Font Size", "kaswara" ),
                "param_name" => "prcli_ribbon_text_size"
            ),  
             array(
                "type" => "dropdown",
                 "heading" => esc_html__( 'Ribbon Text Font Weight','kaswara'),
                "dependency" => Array("element" => "prcli_ribbon_enabled","value" => array("1")),        
                "param_name" => "prcli_ribbon_text_weight",           
                "value" => array('600' => '600','400' => '400','500' => '500','700' => '700','800' => '800','900' => '900'),         
                "group" => "Ribbon",
            ),
            array(
                "type" => "colorpicker",
                "heading" => esc_html__( "Ribbon Text Color", "kaswara" ),
                "dependency" => Array("element" => "prcli_ribbon_enabled","value" => array("1")),        
                "param_name" => "prcli_ribbon_text_cl",
                "value" => '#fff',
                "group" => "Ribbon" 
            ),
            array(
                "type" => "colorpicker",
                "heading" => esc_html__( "Ribbon Backround Color", "kaswara" ),
                "dependency" => Array("element" => "prcli_ribbon_enabled","value" => array("1")),        
                "param_name" => "prcli_ribbon_bg",
                "value" => '#03a9f4',
                "group" => "Ribbon" 
            ),
             array(//Ribbon Position
                "type" => "dropdown",
                "heading" => esc_html__( 'Ribbon Position','kaswara'),
                "param_name" => "prcli_ribbon_position",           
                "dependency" => Array("element" => "prcli_ribbon_enabled","value" => array("1")),        
                "value" => array(
                    "Right" => "right",
                    "Left" => "left",                               
                ),         
                "group" => 'Ribbon',
            ),
              array(
                "type" => "kswr_number",
                "value" => 0,
                "dependency" => Array("element" => "prcli_ribbon_enabled","value" => array("1")),        
                "group" => "Ribbon", 
                "max" => 50,      
                "heading" => esc_html__( "Ribbon Bodrer Radius", "kaswara" ),
                "param_name" => "prcli_ribbon_radius"
            ), 
        )
    ));        
}
add_action( 'init', 'kswr_pricelisting_shortcode' ); 
?>